%define base_name	kde-styles
%define theme_name	baghira
%define name		%base_name-%theme_name

Name: %name
Version: 0.6e
Release: alt1

Group: Graphical desktop/KDE
Summary: Baghira style for KDE
License: GPL
Url: http://baghira.sf.net/

Source: %theme_name-%version.tar.bz2
# from PLD
Source1: Baghira-Lime.kcsrc

BuildPreReq: gcc-c++ xml-utils
BuildPreReq: kdebase-devel >= 3.2.0
BuildPreReq: libqt3-devel libqt3-devel-cxx = %__gcc_version_base
BuildPreReq: kdelibs-devel kdelibs-devel-cxx = %__gcc_version_base

%description
KDE style resembling MacOS X "Aqua" style.
It's based upon mosfet-liquid 0.9.6pre4.

%prep
%setup -q -n %theme_name-%version

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in
%make -f admin/Makefile.common
%__subst "s/\libkdecorations.la/libkdecorations.so/g" deco/Makefile.in

%build
%configure \
    --disable-debug \
    --disable-rpath
%make_build
	    
%install
%makeinstall
%__install -p -m644 %SOURCE1 %buildroot%_datadir/apps/kdisplay/color-schemes

%__mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name \
	"Configuration/Other" \
	bab/bab.desktop \
	%buildroot/%_menudir/%name
%__ln_s -f /usr/share/license/GPL-2 COPYING

%post
%update_menus
%postun
%clean_menus

%files
%doc AUTHORS README 
%doc --no-dereference COPYING
%_libdir/*.so
%_libdir/kde3/*%{theme_name}*
%_libdir/kde3/plugins/styles/*
%_libdir/kde3/b_menu_panelapplet.*
%_datadir/apps/kicker/applets/*.desktop
%_datadir/apps/kstyle/themes/*.themerc
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%_datadir/apps/kwin/*.desktop
%_iconsdir/crystalsvg/*/*/*.png
%_bindir/*
%_menudir/*

%changelog
* Mon Apr 11 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6e-alt1
- 0.6e

* Thu Mar 31 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.5h-alt3
- rebuilt with libstdc++.so.6
- fix building with automake 1.9
- some spec cleanups

* Wed Dec 29 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5h-alt2
- fix building on M2.4

* Wed Sep 22 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5h-alt1
- 0.5h

* Tue Sep 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5g-alt1
- 0.5g

* Wed Sep 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5f-alt1
- 0.5f
- add lime color scheme from PLD

* Wed Sep 01 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5d-alt1
- 0.5d

* Sun Aug 22 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5b-alt1
- 0.5b

* Thu Aug 12 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5a-alt1
- 0.5a
- Sisyphus build
- disable menu dropshadows by default
- some spec changes/fixes

* Sat Aug 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.5-alt1
- 0.5

* Wed Jul 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.4c-alt1
- 0.4c 

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.4-alt1
- 0.4 

* Sat Jun 19 2004 Mikhail Yakshin <greycat@altlinux.ru> 0.3s-alt1
- 0.3s

* Thu May 13 2004 Mikhail Yakshin <greycat@altlinux.org> 0.3p-alt1
- initial build
